
import com.imsl.chart.*;
import java.awt.Color;

public class SampleAxesCross extends JFrameChart {

    public SampleAxesCross() {
        Chart chart = getChart();

        AxisXY axisLeft = new AxisXY(chart);
        double yLeft[] = {4, 6, 2, 1, 8};
        Data dataLeft = new Data(axisLeft, yLeft);
        dataLeft.setDataType(Data.DATA_TYPE_LINE);
        axisLeft.setLineColor(Color.blue);
        axisLeft.setTextColor(Color.blue);

        AxisXY axisRight = new AxisXY(chart);
        axisRight.setCross(-8, 10);
        double xRight[] = {0, 10, 20, 30, 40};
        double yRight[] = {85, 23, 46, 61, 32};
        Data dataRight = new Data(axisRight, xRight, yRight);
        dataRight.setDataType(Data.DATA_TYPE_LINE);
        axisRight.setLineColor(Color.pink);
        axisRight.setTextColor(Color.pink);

        double viewport[] = {0.3, 0.9, 0.05, 0.7};
        axisLeft.setViewport(viewport);
        axisRight.setViewport(viewport);
    }

    public static void main(String argv[]) {
        new SampleAxesCross().setVisible(true);
    }
}
